MineCraft 1.8 ??? I can’t connect to Towncraft?!?!

Hi All

as you know Minecraft Came out with 1.8 today, and sadly many of your favorite servers, including Towncraft are not able to upgrade because we are dependant on Plugins as well as other things in order to get fully upgraded to 1.8 so that your experience is as fun as always!

We do have a tutorial found here: 

 
Please make sure you select 1.7.10 instead of 1.6.2 etc…
 
Thanks and we will see you ingame soon!

You may also like...

Leave a Reply